%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pefile
Version:       2024.8.26
Release:       1mamba
Summary:       Python PE parsing module
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/erocarrera/pefile
Source:        https://pypi.debian.net/pefile/pefile-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython311-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pefile-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

#%if "%{?with_pyver}" != "3"
## Rename any conflicting file outside of python site packages tree
#for f in %{_bindir}/pdm; do
#   mv %{buildroot}${f}{,-%{?pyappend}}
#done
#%endif

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitelib}/%{pkgname}-%{version}.dist-info
%{python_sitelib}/%{pkgname}-%{version}.dist-info/*
%{python3_sitelib}/__pycache__/pefile.cpython-*.pyc
%{python3_sitelib}/__pycache__/peutils.cpython-*.pyc
%dir %{python3_sitelib}/ordlookup
%{python3_sitelib}/ordlookup/*
%{python3_sitelib}/pefile.py
%{python3_sitelib}/peutils.py
%doc LICENSE

%changelog
* Sun Sep 01 2024 Automatic Build System <autodist@openmamba.org> 2024.8.26-1mamba
- automatic version update by autodist

* Sun Jun 09 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 2023.2.7-1mamba
- package created using the webbuild interface
